# Embedded Game Programming (2020)

* Get the [ESP-IDF v4.0](https://github.com/espressif/esp-idf/releases/tag/v4.0)
	* Follow Steps 1 through 3 of the [Documentation](https://docs.espressif.com/projects/esp-idf/en/v4.0/get-started/index.html#step-1-install-prerequisites)
* Comment out line 303 of `esp-idf/components/driver/sdspi_host.c` to enable the shared SPI bus

```c
// Initialize SPI bus
esp_err_t ret = spi_bus_initialize((spi_host_device_t)slot, &buscfg,
    slot_config->dma_channel);
if (ret != ESP_OK) {
    ESP_LOGD(TAG, "spi_bus_initialize failed with rc=0x%x", ret);
    //return ret;
}
```

* Modify the `export.sh` script in the `game` directory and fill out `IDF_PATH` and `IDF_TOOLS_PATH`
	* `IDF_PATH` is the extracted ESP-IDF
	* `IDF_TOOLS_PATH` is the path to the toolchain
* `source export.sh`

![Current Status](https://austinmorlan.com/posts/embedded_game_programming_8/media/demo.gif)

